#! /bin/sh
#----------------------------------------------------------------------------
# /tmp/install.sh - webalizer installation
#
# Creation   :  2014-02-15 holbru
# Last update:  $Id: install.sh 62175 2019-01-07 22:13:50Z hbfl $
#
# Copyright (c) 2014-2023 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

# set package name
package_name=webalizer

# ---------------------------------------------------------------------------
# mv in new path
# ---------------------------------------------------------------------------

if [ -d /var/lib/webalizer ]
then
    mv /srv/www/webalizer/flags /run
    rm -rf /srv/webalizer
    rm -rf /var/lib/webalizer/flags 
    mv /var/lib/webalizer /srv/www
    mv /run/flags /srv/www/webalizer
    chown wwwrun.nogroup /srv/www/webalizer/*.htpasswd
fi

# ---------------------------------------------------------------------------
# Create default config
# ---------------------------------------------------------------------------
if [ -f "/etc/config.d/${package_name}" ] ||
   [ -f "/etc/config.d/apache2_${package_name}" ]
then
    update=true
fi

/var/install/config.d/${package_name}-update.sh

rm -f /var/install/config.d/${package_name}-update.sh

# ---------------------------------------------------------------------------
# start package with update
# ---------------------------------------------------------------------------
if ${update:-false}
then
    /var/install/config.d/${package_name}.sh --no-check
fi

exit 0
# ---------------------------------------------------------------------------
# end
# ---------------------------------------------------------------------------
