#! /bin/sh
#----------------------------------------------------------------------------
# /tmp/preinstall.sh - webalizer preinstallation
#
# Creation   :  2014-02-15 holbru
# Last update:  $Id: preinstall.sh 97730 2022-12-26 14:42:05Z hbfl $
#
# Copyright (c) 2014-2023 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

# set package name
package_name=webalizer

# ----------------------------------------------------------------------------
# remove vhost aliase
# ----------------------------------------------------------------------------
remove_vhost_alias_entry()
{
    if [ "${APACHE2_WEBALIZER_VHOSTS_RUN_ALL}" = 'yes' ]
    then
        idx=1
        while [ ${idx} -le ${APACHE2_VHOST_N:-0} ]
        do
            eval servername='${APACHE2_VHOST_'${idx}'_SERVER_NAME}'
            alias="${APACHE2_WEBALIZER_VHOSTS_ALIAS}"

            rm -f ${vhost_alias_path}/{,v}host-${servername}-${alias}
            idx=$((${idx} + 1))
        done
    fi

    idx=1
    while [ ${idx} -le ${APACHE2_WEBALIZER_HOST_N:-0} ]
    do
        eval     alias='${APACHE2_WEBALIZER_HOST_'${idx}'_ALIAS}'
        eval host_name='${APACHE2_WEBALIZER_HOST_'${idx}'_HOST_NAME}'

        rm -f ${vhost_alias_path}/{,v}host-${host_name}-${alias}
        idx=$((${idx} + 1))
    done
}

if [ -f /etc/config.d/apache2_webalizer ]
then
    . /etc/config.d/apache2
    . /etc/config.d/apache2_webalizer
    vhost_alias_path='/etc/apache2/vhost'
    remove_vhost_alias_entry

    # write new apache config
    /var/install/config.d/apache2.sh 2>/dev/null

    rm -f /etc/apache2/mods-available/${package_name}.conf
    rm -f /etc/apache2/mods-enabled/${package_name}.conf

    # reload apache2 configuration if apache is running
    if [ -f /run/httpd.pid ] ||
       [ -f /run/apache2.pid ]
    then
        /usr/sbin/service stop apache2 
        sleep 5
        /usr/sbin/service start apache2
    fi
fi

# ---------------------------------------------------------------------------
# update system
# ---------------------------------------------------------------------------






exit 0
# ---------------------------------------------------------------------------
# end
# ---------------------------------------------------------------------------
